Skip to main content
GET
/
v1
/
orders
/
{id}
/
certifications
Retrieve self-certification results for an order
curl --request GET \
  --url https://prod.truv.com/v1/orders/{id}/certifications/ \
  --header 'X-Access-Client-Id: <api-key>' \
  --header 'X-Access-Secret: <api-key>'
{
  "results": [
    {
      "decision": "representative",
      "employment": {
        "id": "24d7e80942ce4ad58a93f70ce4115f5c",
        "start_date": "2018-01-01",
        "pay_rate": "25.50",
        "pay_date": "2023-12-15",
        "company": {
          "name": "Facebook"
        }
      }
    },
    {
      "decision": "not_representative",
      "rejection_reason": "incorrect_amount",
      "rejection_comment": "Balance is outdated",
      "account": {
        "id": "bc917458a3da4b2c8cc8282aa1707aaa",
        "type": "CHECKING",
        "mask": "1234",
        "routing_number": "021000021",
        "balance": "1500.25",
        "owners": [
          {
            "full_name": "John Doe"
          }
        ]
      }
    }
  ]
}

Authorizations

X-Access-Client-Id
string
header
required

Client ID

X-Access-Secret
string
header
required

Client Access Key

Path Parameters

id
string
required

Order ID received from the POST request

Response

Self-certification results

Self-certification results response

results
object[]
required

List of self-certification results

Example:
[
{
"decision": "representative",
"employment": {
"id": "24d7e80942ce4ad58a93f70ce4115f5c",
"start_date": "2018-01-01",
"pay_rate": "25.50",
"pay_date": "2023-12-15",
"company": { "name": "Facebook" }
}
},
{
"decision": "not_representative",
"rejection_reason": "incorrect_amount",
"rejection_comment": "Balance is outdated",
"account": {
"id": "bc917458a3da4b2c8cc8282aa1707aaa",
"type": "CHECKING",
"mask": "1234",
"routing_number": "021000021",
"balance": "1500.25",
"owners": [{ "full_name": "John Doe" }]
}
}
]